Package Details: droidcam-dkms 6.7.7-1

Git Clone URL: https://aur.archlinux.org/droidcam-dkms.git (read-only, click to copy)
Package Base: droidcam-dkms
Description: A tool for using your android device as a wireless/usb webcam (DKMS)
Upstream URL: https://www.dev47apps.com/droidcam/linuxx
Licenses: GPL2
Conflicts: droidcam
Submitter: grazzolini
Maintainer: grazzolini
Last Packager: grazzolini
Votes: 8
Popularity: 2.37
First Submitted: 2019-09-03 23:53
Last Updated: 2020-05-14 18:45

Pinned Comments

grazzolini commented on 2020-05-25 16:06

Upstream switched from putting versioned files on their website, to using a fixed name that has no version information. It only says "latest". So, everytime they update their version on the website, the checksum on the PKGBUILD will be outdated. This is not an issue with the package itself, but with the way upstream release. I plan on changing to a pure source package soon, once I get this building from source but, until then, if you get a checksum error, download from their website and change the PKGBUILD.

Latest Comments

1 2 Next › Last »

ngoonee commented on 2020-07-04 08:28

https://github.com/dev47apps/droidcam-obs-plugin/ is available now if you're interested. Basically obs-specific plugin (needs a different android app too).

ShayBox commented on 2020-06-07 23:47

Please don't source un versioned files (icon2.png, droidcam_latest.zip) in a non git package if possible, add the file to the repository, use a set commit, or skip verification.

grazzolini commented on 2020-06-01 10:50

@caleb

I have some plans on bringing this to the official repos, but not completely sold on this yet. I'll switch to git sources, and, as much as I hate using epochs, I don't see a way around it.

The versioning come from the way upstream used to release on their official website, it had that versioning. Since they switched to using only "latest", I have been arbitrarily increasing the pkgver.

caleb commented on 2020-06-01 10:13

The sources for this seem to be available here. Since the sources are available I think this needs to use them — or get renamed as -bin. I think you'll need an epoch to downgrade the version, but where is the 6.x versioning coming from anyway?

grazzolini commented on 2020-05-29 14:44

@Marc.337

The version on github is 1.1. This is a problem. The fact is, upstream never bothered with consisting versioning.

Marc.2377 commented on 2020-05-29 04:28

@grazzolini, I understand you plan to switch this to pure source; in the meantime, why not pulling the release tag from GitHub? See https://github.com/aramg/droidcam/releases.

miss_barfin commented on 2020-05-25 20:30

i flagged this out of date but i saw that you're already aware of the change thanks for packaging it

grazzolini commented on 2020-05-25 16:06

Upstream switched from putting versioned files on their website, to using a fixed name that has no version information. It only says "latest". So, everytime they update their version on the website, the checksum on the PKGBUILD will be outdated. This is not an issue with the package itself, but with the way upstream release. I plan on changing to a pure source package soon, once I get this building from source but, until then, if you get a checksum error, download from their website and change the PKGBUILD.

t0m5k1 commented on 2020-05-25 15:52

Managed to get this to install after side stepping verification (Big Trust issue!!)

I see the following:

:: Running post-transaction hooks...

(1/3) Arming ConditionNeedsUpdate...

(2/3) Install DKMS modules

==> dkms install droidcam/6.7.7 -k 5.6.14-arch1-1

(3/3) Updating the desktop file MIME type cache...

❯ sudo insmod v4l2loopback-dc.ko width=320 height=240

insmod: ERROR: could not load module v4l2loopback-dc.ko: No such file or directory

❯ file /lib/modules/5.6.14-arch1-1/v4l2loopback-dc.ko

/lib/modules/5.6.14-arch1-1/v4l2loopback-dc.ko: cannot open `/lib/modules/5.6.14-arch1-1/v4l2loopback-dc.ko' (No such file or directory)

I see others having a similar issue, Why is this failing to build the module? What's missing from your package that's stopping this?

This is the only kernel I use so no need to ask "Is that the kernel you've booted?"

I decided to do a system wide find: sudo find / -name "v4l2loopback-dc.ko"

Still not found!!!!

What are you doing?

yura121 commented on 2020-05-25 07:17

rus ==> ОШИБКА: Исходные файлы не прошли проверку целостности! Не удалось собрать droidcam-dkms


en ==> ERROR: Source files did not pass the integrity check! Failed to collect droidcam-dkms